package com.ss.android.ugc.aweme.settingsrequest;

import X.8Ze;
import X.AnonymousClass4F9;
import X.AnonymousClass4FD;
import X.C13722pQ;
import X.C13732pR;
import X.C13742pS;
import X.Lnj;
import X.M12;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import com.ss.android.ugc.aweme.settingsrequest.api.ISettingsRequestApi;
import com.ss.android.ugc.aweme.settingsrequest.task.SettingsReaderInitTask;

public final class SettingsRequestApiImpl implements ISettingsRequestApi {
    static {
        Covode.recordClassIndex(106779);
    }

    public final 8Ze LIZ() {
        return new SettingsReaderInitTask();
    }

    public static ISettingsRequestApi LIZIZ() {
        MethodCollector.i(4180);
        ISettingsRequestApi iSettingsRequestApi = (ISettingsRequestApi) Lnj.LIZ(ISettingsRequestApi.class, false);
        if (iSettingsRequestApi != null) {
            MethodCollector.o(4180);
            return iSettingsRequestApi;
        }
        Object LIZIZ = Lnj.LIZIZ(ISettingsRequestApi.class, false);
        if (LIZIZ != null) {
            ISettingsRequestApi iSettingsRequestApi2 = (ISettingsRequestApi) LIZIZ;
            MethodCollector.o(4180);
            return iSettingsRequestApi2;
        }
        if (Lnj.be == null) {
            synchronized (ISettingsRequestApi.class) {
                try {
                    if (Lnj.be == null) {
                        Lnj.be = new SettingsRequestApiImpl();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(4180);
                    throw th;
                }
            }
        }
        SettingsRequestApiImpl settingsRequestApiImpl = (SettingsRequestApiImpl) Lnj.be;
        MethodCollector.o(4180);
        return settingsRequestApiImpl;
    }

    public final void LIZ(C13742pS r2, C13722pQ r3) {
        M12.LIZ(r2, r3);
        M12.LIZ(r2, r3);
        C13732pR.LIZ.put(r2, r3);
    }

    public final void LIZ(AnonymousClass4FD r2, boolean z) {
        AnonymousClass4F9.LIZ.LIZ(r2, z);
    }
}
